Subject: Re: bug#61627: Cannot start a container built with `guix system container --network'.

From: Bruno Victal <[email-masked]>
Date: Thu, 23 Mar 2023 12:50:58 +0000

On 2023-03-21 12:53, Arun Isaac wrote:
> 
> Hi Bruno,
> 
>> /etc/hosts is created by hosts-service-type, so if you remove that service
>> it shouldn't be present anymore.
> 
> That makes sense.
> 
> There's one more question, though. Now that we are handling /etc/hosts
> using hosts-service-type, should /etc/hosts still be in
> %network-configuration-files? I believe this is what Pierre was asking.

I'm inclined to keep it in %network-configuration-files just to be safe.

Strictly speaking, the file shouldn't be present when you remove hosts-service-type but
you could, for $REASONS, have a template that has hosts-service-type removed from the
essential-services and /etc/hosts manually provisioned using etc-service-type or special-service-type.

Unless it's desirable to honor the /etc/hosts file configured in this manner, in which case you should
remove it from %network-configuration-files to respect the users wishes, I'd say the file should
be kept in %network-configuration-files to avoid some strange cases that may arise.

I should say that I don't use `guix system container` so I'm not too familiar with what behavior is
to be expected/“the correct one” here.

Cheers,
Bruno